# Single-Node Kubernetes

We suggest a single-node Kubernetes installation for most development,
testing, and small lab-trial deployments.

There are two popular single-node versions of Kubernetes.

* **Minikube** (recommended)
    * Documentation: <https://kubernetes.io/docs/getting-started-guides/minikube/>
    * Installation on a Linux machine (either physical or a VM on your laptop or in the cloud): <https://github.com/kubernetes/minikube#linux-continuous-integration-without-vm-support (Must have Docker installed <https://docs.docker.com/install/>)
    * Installation directly on your Windows or MacOS System: <https://kubernetes.io/docs/getting-started-guides/minikube/#installation>
    * Minimum requirements:
        * One machine, either a physical machine or a VM. It could also be your own PC! It installs natively also on macOS.
* **Mikrok8s**
    * Documentation: <https://microk8s.io/>
    * One machine, Linux based, either physical machine or virtual. It could also be your own PC!

## Done?

Once you are done, you are ready to install Kubctl and Helm, so return to
[here](kubernetes.md#get-your-kubeconfig-file) in the installation guide.
